<ng-container *ngIf="post">

  <div class="post">
    <div class="post__header">
      <div class="post-author">

        <img 
        *ngIf="loggedUser?.username !== post.author.username" 
        class="author-img"
        src="{{ post.author.avatar | avatar }}" alt="">

        <img 
        *ngIf="loggedUser?.username === post.author.username" 
        class="author-img"
        [src]="loggedUser.avatar" alt="">

        <a [routerLink]="['/user', post.author.id]" class="author-name">{{ post.author.username }}</a>
      </div>

      <div class="post-actions" *ngIf="showPostActions">
        <ng-container *ngIf="post.author.username === loggedUser?.username">
          <div
            class="circle-icon default-icon"
            (click)="editPost()"
            [matTooltipPosition]="'above'"
            matTooltip="Edit post">
            <span class="material-icons">
              edit
            </span>
          </div>

          <div
            class="circle-icon delete-icon"
            (click)="deletePost()"
            [matTooltipPosition]="'above'"
            matTooltip="Delete post">
            <span class="material-icons">
              delete_forever
            </span>
          </div>
        </ng-container>
      </div>

      <div
        *ngIf="loggedUser?.username === post.author.username"
        class="circle-icon"
        (click)="togglePostActions()">
        <span class="material-icons">
          more_vert
        </span>
      </div>
    </div>
    <a (click)="openImage()" [routerLink]="['/post', post.id]" class="post__image">
        <img [src]="post.image.directLink" alt="Post image" />
    </a>
    
    <div class="post__actions">
      <div *ngIf="loggedUser" class="like-icon">
        <span matTooltip="Dislike" [matTooltipPosition]="'above'" *ngIf="isLiked" (click)="handleLike()" class="material-icons icon like">
          favorite
        </span>
        
        <span matTooltip="Like" [matTooltipPosition]="'above'" *ngIf="!isLiked" (click)="handleLike()" class="material-icons icon like">
          favorite_border
        </span>

        <span>{{post?.likes?.length}} likes</span>
      </div>

      <time
        matTooltip="{{ post.updatedOn | convertDate | date: 'medium' }}"
        class="date">
        {{ post.updatedOn | convertDate | date: "mediumDate" }}
      </time>
    </div>
    <p class="post__description" *ngIf="post.description">
      {{ post.description | unescape }}
    </p>
    <div class="post__comments">
      <p *ngIf="post.commentsCount > 0" class="title">
        Comments
      </p>
      <p *ngIf="post.commentsCount === 0" class="title">
        No comments for this post
      </p>

      <ng-container *ngIf="post.comments">
        <div *ngFor="let comment of post.comments.slice(0, visibleComments).reverse()">
          <app-post-comment
            (editComment)="editComment($event)"
            (deleteComment)="deleteComment($event)"
            [comment]="comment" 
            [canActivateActions]="loggedUser?.username === comment.author.username && loggedUser">
          </app-post-comment>
        </div>
      </ng-container>
    </div>

    <form *ngIf="loggedUser" class="comment-form" (ngSubmit)="onComment()" [formGroup]="commentForm">
      <app-text-area 
        (submitInput)="onComment()"
        [toggleSubmit]="true"
        (contentInput)="inputEvent($event)" 
        placeholder="Add a comment">
      </app-text-area>
    </form>
  </div>
</ng-container>
